/*
 * application.h
 *
 * Copyright 2021 Jonathan Schöbel <jonathan@xn--schbel-yxa.info>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */

#include <gtk/gtk.h>

#include "config.h"
#include "window.h"


typedef struct SP_Application
{
	GtkApplication * app;
	SP_Window * Window;
} SP_Application;

SP_Application * SP_Application_new ();
static void startup (GtkApplication * app, SP_Application * Application);
static void activate (GtkApplication * app, SP_Application * Application);
int SP_Application_run (SP_Application * Application, int argc, char **argv);
void SP_Application_free (SP_Application * Application);
