/*
 * database.c
 *
 * Copyright 2021 Jonathan Schöbel <jonathan@xn--schbel-yxa.info>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */

#include "database.h"


SP_Database_result_company * SP_Database_get_companies (SP_Database * Database, int * size)
{
	static SP_Database_result_company companies[5];
	*size = 5;

	companies[0].id = 0;
	companies[0].label = "Aldi";
	companies[0].image_path = "aldi_nord_logo.png";
	companies[1].id = 1;
	companies[1].label = "CAP";
	companies[1].image_path = "cap.png";
	companies[2].id = 2;
	companies[2].label = "Edeka";
	companies[2].image_path = "edeka.png";
	companies[3].id = 3;
	companies[3].label = "Lidl";
	companies[3].image_path = "lidl.svg";
	companies[4].id = 4;
	companies[4].label = "Rewe";
	companies[4].image_path = "rewe.svg";
	return companies;
}
